List Configs
curl --request GET \
--url https://extraction-api.nanonets.com/api/v2/configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://extraction-api.nanonets.com/api/v2/configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://extraction-api.nanonets.com/api/v2/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"configs": [
{
"success": true,
"config_id": "config://b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "<string>",
"params": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"page_size": 123
}{
"detail": "<string>"
}Configuration Management
List Configs
List saved configurations with pagination. Optionally filter by config type.
GET
/
api
/
v2
/
configs
List Configs
Authorizations
API key as Bearer token: Authorization: Bearer YOUR_API_KEY
Query Parameters
Filter by config type
Available options:
parse, extract, classify Required range:
x >= 1Required range:
1 <= x <= 100⌘I